# htmlroc

Converts MLP:CCG rule files from text to HTML!

## Installation

### Requirements

- Go 1.12+
- The text rules from Hithroc's site:
  https://horse.cards/rules/latest.txt
- Node.js **(optional)**

### Running htmlroc

1. Clone project locally and `cd` to it
2. Place the text rules inside the project's folder as `rules.txt`
3. Run this command:
   ```
   go run .
   ```

Alternately, you can compile with `go install` and use the command line flags to specify location of `rules.txt` and `template.html`

### Rebuilding static assets

If you have node.js installed, you can also modify the static assets and rebuild them. Source files are in `static-src`. To rebuild, run either `npm i` or `yarn install` depending on your package manager of choice and then:

```
yarn build
```

This will build the CSS/JS files needed for the provided template.

## Thanks to

- [Hithroc](https://hithroc.org/) for maitaining text versions of the rules
- [CommentaryIsMagic](http://www.commentaryismagic.com/) for maitaining the official rules
