const { src, dest, parallel } = require("gulp");
const sass = require("gulp-sass");
const sourcemaps = require("gulp-sourcemaps");
const concat = require("gulp-concat");

sass.compiler = require("dart-sass");

function css() {
	return src("static-src/**/*.scss")
		.pipe(sourcemaps.init())
		.pipe(sass({ outputStyle: "compressed" }).on("error", sass.logError))
		.pipe(concat("style.min.css"))
		.pipe(sourcemaps.write("map"))
		.pipe(dest("static"));
}

exports.default = parallel(css);
